package edu.neusoft.project.model.vo;

public class Indent {
    private String ordersId;
    private int playListId;
    private String id;
    private double price;
    private int servStatus;
    private String adminListPersonCode;

    public Indent(String ordersId, int playListId, String id, double price, int servStatus, String adminListPersonCode) {
        this.ordersId = ordersId;
        this.playListId = playListId;
        this.id = id;
        this.price = price;
        this.servStatus = servStatus;
        this.adminListPersonCode = adminListPersonCode;
    }



    public Indent() {
    }

    public Indent(String ordersId) {
        this.ordersId = ordersId;
    }

    //SongIdIndent
    public Indent(String ordersId, String id, double price, int servStatus) {
        this.ordersId = ordersId;
        this.id = id;
        this.price = price;
        this.servStatus = servStatus;
    }
    //PlayListIndent
    public Indent(String ordersId, int playListId, double price, int servStatus) {
        this.ordersId = ordersId;
        this.playListId = playListId;
        this.price = price;
        this.servStatus = servStatus;
    }
    //All indent
    public Indent(String ordersId, int playListId, String id, double price, int servStatus) {
        this.ordersId = ordersId;
        this.playListId = playListId;
        this.id = id;
        this.price = price;
        this.servStatus = servStatus;
    }

    @Override
    public String toString() {
        return "Indent{" +
                "ordersId='" + ordersId + '\'' +
                ", playListId=" + playListId +
                ", id='" + id + '\'' +
                ", price=" + price +
                ", servStatus=" + servStatus +
                '}';
    }

    public String getOrdersId() {
        return ordersId;
    }

    public void setOrdersId(String ordersId) {
        this.ordersId = ordersId;
    }

    public int getPlayListId() {
        return playListId;
    }

    public void setPlayListId(int playListId) {
        this.playListId = playListId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public int getServStatus() {
        return servStatus;
    }

    public void setServStatus(int servStatus) {
        this.servStatus = servStatus;
    }

    public String getAdminListPersonCode() {
        return adminListPersonCode;
    }

    public void setAdminListPersonCode(String adminListPersonCode) {
        this.adminListPersonCode = adminListPersonCode;
    }
}
